summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--evan/Makefile9
-rw-r--r--god/claws/.gitignore (renamed from claws/.gitignore)0
-rw-r--r--god/claws/Makefile (renamed from claws/Makefile)0
-rw-r--r--god/claws/README.md (renamed from claws/README.md)0
-rw-r--r--god/claws/communication.h (renamed from claws/communication.h)0
-rw-r--r--god/claws/rcontrol.c (renamed from claws/rcontrol.c)0
-rw-r--r--god/streams/Makefile (renamed from streams/Makefile)0
-rw-r--r--god/streams/README (renamed from streams/README)0
-rwxr-xr-xgod/streams/mpdstreams (renamed from streams/mpdstreams)0
-rwxr-xr-xgod/streams/relaxxapi.py (renamed from streams/relaxxapi.py)0
-rw-r--r--god/streams/relaxxplayer.api (renamed from streams/relaxxplayer.api)0
-rwxr-xr-xgod/streams/relaxxstreams (renamed from streams/relaxxstreams)0
-rwxr-xr-xgod/streams/stream-starter (renamed from streams/stream-starter)0
-rw-r--r--god/streams/stream.db (renamed from streams/stream.db)0
-rw-r--r--god/streams/streams (renamed from streams/streams.py)0
-rw-r--r--ivan/Makefile7
-rwxr-xr-xivan/ivan (renamed from evan/evan)2
-rwxr-xr-xivan/ivan-startup (renamed from evan/evan-startup)0
-rw-r--r--ivan/satz-liste (renamed from evan/satz-liste)0
-rw-r--r--sandbox/DNA/README.md (renamed from DNA/README.md)0
-rw-r--r--sandbox/DNA/linux/LICENSE (renamed from DNA/linux/LICENSE)0
-rw-r--r--sandbox/DNA/linux/Makefile (renamed from DNA/linux/Makefile)0
-rw-r--r--sandbox/DNA/linux/README.md (renamed from DNA/linux/README.md)0
-rw-r--r--sandbox/DNA/linux/TODO (renamed from DNA/linux/TODO)0
-rw-r--r--sandbox/DNA/linux/krebs.c (renamed from DNA/linux/krebs.c)0
-rw-r--r--sandbox/README.md5
-rw-r--r--sandbox/cobra/README.md (renamed from cobra/README)31
-rw-r--r--sandbox/cobra/hello/index.sh (renamed from cobra/hello/index.sh)0
-rwxr-xr-xsandbox/cobra/index.sh (renamed from cobra/index.sh)0
-rwxr-xr-xstreams/streams131
30 files changed, 29 insertions, 156 deletions
diff --git a/evan/Makefile b/evan/Makefile
deleted file mode 100644
index f87e8505..00000000
--- a/evan/Makefile
+++ /dev/null
@@ -1,9 +0,0 @@
-.PHONY: infect
-INSTALL_DIR = /root/bin
-infect:
- mkdir -p ${INSTALL_DIR}
- cp evan ${INSTALL_DIR}
- cp satz-liste ${INSTALL_DIR}
- cp evan-startup /etc/init.d/evan
- update-rc.d evan start
-
diff --git a/claws/.gitignore b/god/claws/.gitignore
index 5da5924f..5da5924f 100644
--- a/claws/.gitignore
+++ b/god/claws/.gitignore
diff --git a/claws/Makefile b/god/claws/Makefile
index abfae5eb..abfae5eb 100644
--- a/claws/Makefile
+++ b/god/claws/Makefile
diff --git a/claws/README.md b/god/claws/README.md
index 00c90a85..00c90a85 100644
--- a/claws/README.md
+++ b/god/claws/README.md
diff --git a/claws/communication.h b/god/claws/communication.h
index db4b2c36..db4b2c36 100644
--- a/claws/communication.h
+++ b/god/claws/communication.h
diff --git a/claws/rcontrol.c b/god/claws/rcontrol.c
index 972c97d0..972c97d0 100644
--- a/claws/rcontrol.c
+++ b/god/claws/rcontrol.c
diff --git a/streams/Makefile b/god/streams/Makefile
index ab5d1429..ab5d1429 100644
--- a/streams/Makefile
+++ b/god/streams/Makefile
diff --git a/streams/README b/god/streams/README
index 82300c24..82300c24 100644
--- a/streams/README
+++ b/god/streams/README
diff --git a/streams/mpdstreams b/god/streams/mpdstreams
index d9132937..d9132937 100755
--- a/streams/mpdstreams
+++ b/god/streams/mpdstreams
diff --git a/streams/relaxxapi.py b/god/streams/relaxxapi.py
index f367caef..f367caef 100755
--- a/streams/relaxxapi.py
+++ b/god/streams/relaxxapi.py
diff --git a/streams/relaxxplayer.api b/god/streams/relaxxplayer.api
index 6e8af577..6e8af577 100644
--- a/streams/relaxxplayer.api
+++ b/god/streams/relaxxplayer.api
diff --git a/streams/relaxxstreams b/god/streams/relaxxstreams
index 57cfb05b..57cfb05b 100755
--- a/streams/relaxxstreams
+++ b/god/streams/relaxxstreams
diff --git a/streams/stream-starter b/god/streams/stream-starter
index 4d3a406f..4d3a406f 100755
--- a/streams/stream-starter
+++ b/god/streams/stream-starter
diff --git a/streams/stream.db b/god/streams/stream.db
index 2e873843..2e873843 100644
--- a/streams/stream.db
+++ b/god/streams/stream.db
diff --git a/streams/streams.py b/god/streams/streams
index 65669b2d..65669b2d 100644
--- a/streams/streams.py
+++ b/god/streams/streams
diff --git a/ivan/Makefile b/ivan/Makefile
new file mode 100644
index 00000000..38eb1da2
--- /dev/null
+++ b/ivan/Makefile
@@ -0,0 +1,7 @@
+.PHONY: infest
+BIN_DIR = ../bin
+infest:
+ cp ivan ${INSTALL_DIR}
+debian-startup:
+ cp ivan-startup /etc/init.d/ivan
+ update-rc.d evan start
diff --git a/evan/evan b/ivan/ivan
index 608ac6b8..5099114a 100755
--- a/evan/evan
+++ b/ivan/ivan
@@ -1,5 +1,5 @@
#!/bin/bash
-SATZ_LISTE=/krebs/evan/satz-liste
+SATZ_LISTE=/krebs/ivan/satz-liste
p="${noise_pitch-10}"
v="${noise_lang-de}"
k="${noise_capital-0}"
diff --git a/evan/evan-startup b/ivan/ivan-startup
index 8a7f8daa..8a7f8daa 100755
--- a/evan/evan-startup
+++ b/ivan/ivan-startup
diff --git a/evan/satz-liste b/ivan/satz-liste
index 44f84c13..44f84c13 100644
--- a/evan/satz-liste
+++ b/ivan/satz-liste
diff --git a/DNA/README.md b/sandbox/DNA/README.md
index 9de84746..9de84746 100644
--- a/DNA/README.md
+++ b/sandbox/DNA/README.md
diff --git a/DNA/linux/LICENSE b/sandbox/DNA/linux/LICENSE
index 94a9ed02..94a9ed02 100644
--- a/DNA/linux/LICENSE
+++ b/sandbox/DNA/linux/LICENSE
diff --git a/DNA/linux/Makefile b/sandbox/DNA/linux/Makefile
index 2ed4c9fb..2ed4c9fb 100644
--- a/DNA/linux/Makefile
+++ b/sandbox/DNA/linux/Makefile
diff --git a/DNA/linux/README.md b/sandbox/DNA/linux/README.md
index 0b6885e2..0b6885e2 100644
--- a/DNA/linux/README.md
+++ b/sandbox/DNA/linux/README.md
diff --git a/DNA/linux/TODO b/sandbox/DNA/linux/TODO
index fd0d927f..fd0d927f 100644
--- a/DNA/linux/TODO
+++ b/sandbox/DNA/linux/TODO
diff --git a/DNA/linux/krebs.c b/sandbox/DNA/linux/krebs.c
index df319c63..df319c63 100644
--- a/DNA/linux/krebs.c
+++ b/sandbox/DNA/linux/krebs.c
diff --git a/sandbox/README.md b/sandbox/README.md
new file mode 100644
index 00000000..fbf92cd9
--- /dev/null
+++ b/sandbox/README.md
@@ -0,0 +1,5 @@
+# Sandbox
+
+Sandbox contains all the projects which are either not yet production ready
+(too-new), or broken and old (too-old). Some of the code might work, but most
+won't do the right thing on your system, so try them with caution.
diff --git a/cobra/README b/sandbox/cobra/README.md
index 145ecd14..f9bb8026 100644
--- a/cobra/README
+++ b/sandbox/cobra/README.md
@@ -16,18 +16,19 @@ that contains an index.{js,sh,py,etc.} file.
like your sh's PATH
## example: cobra as some kind of make
-$ echo $COBRA_PATH
-.
-$ ls .
-foo/ bar/ baz/
-$ cat foo/cobra.json
-{ "deps": "bar", "baz" }
-$ cat bar/cobra.json
-No such file or directory
-$ cat baz/cobra.json
-No such file or directory
-$ cobra foo
-[cobra bar]
-[cobra baz]
-[cobra foo]
-$ exit
+
+ $ echo $COBRA_PATH
+ .
+ $ ls .
+ foo/ bar/ baz/
+ $ cat foo/cobra.json
+ { "deps": "bar", "baz" }
+ $ cat bar/cobra.json
+ No such file or directory
+ $ cat baz/cobra.json
+ No such file or directory
+ $ cobra foo
+ [cobra bar]
+ [cobra baz]
+ [cobra foo]
+ $ exit
diff --git a/cobra/hello/index.sh b/sandbox/cobra/hello/index.sh
index df2dea7c..df2dea7c 100644
--- a/cobra/hello/index.sh
+++ b/sandbox/cobra/hello/index.sh
diff --git a/cobra/index.sh b/sandbox/cobra/index.sh
index 1118a823..1118a823 100755
--- a/cobra/index.sh
+++ b/sandbox/cobra/index.sh
diff --git a/streams/streams b/streams/streams
deleted file mode 100755
index 80c654ad..00000000
--- a/streams/streams
+++ /dev/null
@@ -1,131 +0,0 @@
-#! /bin/bash
-set -euf
-
-stream_file=/tmp/krebs.stream.current
-
-HERE=$(dirname $(readlink -f $0))
-URLS=`cat $HERE/stream.db`
-CURRENT_STREAM="no stream" #will be set when calling `status`
-if [ ! `id -u` -eq "0" ]; then
- exec sudo "$0" "$@"
-fi
-
-#if [ ! `id -u` -eq "0" ]; then
-# echo "we are going sudo..."
-# exec sudo "$0" "$@"
-#fi
-
-function start() {
- # start the given stream von $1
- REQ=$1
- tmux start-server
- if status &>/dev/null ; then
- echo "!! Stream already running!"
- exit 1
- fi
-
- if echo "$URLS" | while read URL NAME; do
- if [ "$NAME" = "$REQ" ];then
- tmux new-session -s streams -n streams -d "
- while sleep 1; do
- echo $NAME > $stream_file
- mplayer $URL
- done
- "
- echo "** $REQ started"
- exit 1
- fi
- done; then
- echo "!! Stream '$REQ' not found!"
- exit 1
- fi
-}
-function stop()
-{
- #stops every stream
- if status &>/dev/null; then
- status | cut -d\ -f2 | xargs printf "** killing %s\n"
- tmux kill-session -t streams 2>/dev/null || echo "!! killing session failed"
- else
- echo "** no stream running";
- return 1
- fi
-}
-
-function status()
-{
- #tmux has-session -t streams 2>/dev/null
- #RET=$?
-
- #tmux list-sessions 2>/dev/null
- #return $RET
- EV="`ps -ef | grep mplayer`"
- if echo "$URLS" | while read URL NAME; do
- if [ "`echo "$EV" | grep \"$URL\"`" ] ;then
- echo "** $NAME running ($URL)"
- exit 1
- fi
- done; then
- echo "** no stream running"
- return 1
- else
- return 0
- fi
-}
-function current()
-{
-
- return 1
-}
-function list()
-{
- echo "$URLS" | while read URL NAME ; do
- echo "$NAME : $URL"
- done
-
-}
-
-function shorthelp()
-{
- echo "start|stop|restart|status|list [audio stream]"
-}
-function longhelp()
-{
- B=`basename $0`
- echo -n "Usage: $B "
- shorthelp
- echo " get all available streams with '/$B list'
-Examples:
- $B list
- $B start groove
- $B restart deepmix
- $B status
- $B stop"
-}
-
-
-case "$1" in
- start)
- start ${2-"`test -f $stream_file && cat $stream_file`"}
- ;;
- stop)
- stop
- ;;
- (switch|restart)
- stop
- start $2
- ;;
- status)
- status
- exit $?
- ;;
- list)
- list
- ;;
- (--help)
- shorthelp
- ;;
- *)
- longhelp
- ;;
-esac